Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# This macro is needed at the start for building on EL6


%global enable_tests 0

%global barename breakable

Name:               nodejs-breakable
Version:            1.0.0
Release:            alt1_8
Summary:            Break out of functions

License:            MIT
URL:                https://www.npmjs.org/package/breakable
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      rpm-build-nodejs node-devel



%if 0%{?enable_tests}
BuildRequires:      npm(tap)
%endif
Source44: import.info


%description
Break out of functions, recursive or not, in a more composable way than by
using exceptions explicitly. Non-local return.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/breakable
cp -pr package.json breakable.js \
    %{buildroot}%{nodejs_sitelib}/breakable

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
tap test/*.js
%endif


%files
%doc README.md LICENSE
%{nodejs_sitelib}/breakable/

%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_8
- new version

